summaryrefslogtreecommitdiff
path: root/debian/ipmitool.postinst
diff options
context:
space:
mode:
authorJörg Frings-Fürst <debian@jff-webhosting.net>2024-07-05 19:55:46 +0200
committerJörg Frings-Fürst <debian@jff-webhosting.net>2024-07-05 19:55:46 +0200
commit656b688f3965735785626c5a43ecac4f954a1eae (patch)
treed0ec83dcf844875954934456f0b6883fbef514ee /debian/ipmitool.postinst
parente42bd9e37bb02e70768a5d0842d2d32e3e84337d (diff)
Add new enterprise-numbers.txt handling
Diffstat (limited to 'debian/ipmitool.postinst')
-rw-r--r--debian/ipmitool.postinst11
1 files changed, 11 insertions, 0 deletions
diff --git a/debian/ipmitool.postinst b/debian/ipmitool.postinst
index b09b515..2053e0d 100644
--- a/debian/ipmitool.postinst
+++ b/debian/ipmitool.postinst
@@ -2,6 +2,10 @@
set -e
+BIN=/usr/bin/wget
+SOURCE=https://www.iana.org/assignments/enterprise-numbers.txt
+DEST=/usr/share/misc/enterprise-numbers.txt
+
ipmievd_initd_failed() {
echo "Unable to start ipmievd during installation. Trying to disable."
@@ -14,4 +18,11 @@ ipmievd_initd_failed() {
fi
}
+[ -x $BIN ] || exit 0
+
+echo "Download enterprise-numbers.txt"
+
+$BIN -O $DEST $SOURCE >/dev/null 2>&1
+
+
#DEBHELPER#